Skip to main content
GET
List Refunds

Authorizations

Authorization
string
header
required

An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.

Headers

Api-Version-Date
string

Pins the request to a dated API version.

Example:

"2026-09-22-3"

Query Parameters

account_id
string

Only refunds issued by this account, prefixed biz_.

payment_id
string

Only refunds of this payment, prefixed pay_.

user_id
string

Only refunds to this buyer, prefixed user_.

created_before
string<date-time>

Only refunds requested before this ISO 8601 timestamp.

created_after
string<date-time>

Only refunds requested after this ISO 8601 timestamp.

order
enum<string>

The field to sort by.

Available options:
created_at
direction
enum<string>

The sort direction.

Available options:
asc,
desc
first
integer
default:20

Number of results to return from the start of the range.

Required range: x <= 100
after
string

Return results after this cursor. Use page_info.end_cursor from the previous response to fetch the next page.

last
integer

Number of results to return from the end of the range.

Required range: x <= 100
before
string

Return results before this cursor. Use page_info.start_cursor from the previous response to fetch the previous page.

Response

refunds listed

data
object[]
required
page_info
object
required